# FoundationClasses
TKernel
TCollection

# TCollection_SeqNode Class Reference

`#include <TCollection_SeqNode.hxx>`

Inheritance diagram for TCollection_SeqNode:

[legend]

## Public Member Functions

| TCollection_SeqNode (const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
TCollection_SeqNodePtr & | Next () const
TCollection_SeqNodePtr & | Previous () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_SeqNodePtr | myNext
TCollection_SeqNodePtr | myPrevious

## Constructor & Destructor Documentation

TCollection_SeqNode::TCollection_SeqNode | ( | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const TCollection_SeqNode::Handle | ( | Standard_Type |  | ) | const

Reimplemented from MMgt_TShared.

Reimplemented in Bnd_SequenceNodeOfSeqOfBox, Convert_SequenceNodeOfSequenceOfArray1OfPoles, Convert_SequenceNodeOfSequenceOfArray1OfPoles2d, Dynamic_SequenceNodeOfSeqOfClasses, Dynamic_SequenceNodeOfSeqOfFuzzyDefinitions, Dynamic_SequenceNodeOfSeqOfMethodDefinitions, Dynamic_SequenceNodeOfSeqOfMethods, Expr_SequenceNodeOfSequenceOfGeneralExpression, Expr_SequenceNodeOfSequenceOfGeneralRelation, ExprIntrp_SequenceNodeOfSequenceOfNamedExpression, ExprIntrp_SequenceNodeOfSequenceOfNamedFunction, Materials_SequenceNodeOfMtsSequence, Message_SequenceNodeOfSequenceOfPrinters, Message_SequenceNodeOfSequenceOfProgressScale, Storage_SequenceNodeOfSeqOfCallBack, Storage_SequenceNodeOfSeqOfPersistent, Storage_SequenceNodeOfSeqOfRoot, TColgp_SequenceNodeOfSequenceOfDir, TColgp_SequenceNodeOfSequenceOfDir2d, TColgp_SequenceNodeOfSequenceOfPnt, TColgp_SequenceNodeOfSequenceOfPnt2d, TColgp_SequenceNodeOfSequenceOfVec, TColgp_SequenceNodeOfSequenceOfVec2d, TColgp_SequenceNodeOfSequenceOfXY, TColgp_SequenceNodeOfSequenceOfXYZ, TColStd_SequenceNodeOfSequenceOfAsciiString, TColStd_SequenceNodeOfSequenceOfExtendedString, TColStd_SequenceNodeOfSequenceOfHAsciiString, TColStd_SequenceNodeOfSequenceOfHExtendedString, TColStd_SequenceNodeOfSequenceOfInteger, TColStd_SequenceNodeOfSequenceOfReal, TColStd_SequenceNodeOfSequenceOfTransient, TShort_SequenceNodeOfSequenceOfShortReal, Units_SequenceNodeOfQtsSequence, Units_SequenceNodeOfStrgSequence, Units_SequenceNodeOfTksSequence, and Units_SequenceNodeOfUtsSequence.

TCollection_SeqNodePtr & TCollection_SeqNode::Next | ( |  | ) | const`[inline]`

TCollection_SeqNodePtr & TCollection_SeqNode::Previous | ( |  | ) | const`[inline]`

## Field Documentation

TCollection_SeqNodePtr TCollection_SeqNode::myNext `[private]`

TCollection_SeqNodePtr TCollection_SeqNode::myPrevious `[private]`

The documentation for this class was generated from the following files:

- TCollection_SeqNode.hxx
- TCollection_SeqNode.lxx